<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<!-- 

URL Encoding:
<%=response.encodeURL("FrontController?operation=10&type=subject") %>
 -->

<h1>Queued Messages</h1>
<br>

<%
String sendStatus = (String) request.getAttribute("sendStatus");
if(sendStatus != null){
	%>
	<div class="alert alert-info"><%= sendStatus %></div>
	<%
}else{
%>
Following messages are sitting in Outbound Queue waiting to be delivered.
<%} %>

<div class="well">
<div class="row">

	<div class="col-md-3">
	<%
	if(request.getAttribute("haspp") != null){
		%>
		<a href="<%=response.encodeURL("FrontController?operation=214&pn=" + request.getAttribute("haspp") ) %>"><button class="btn btn-submit">Previous</button></a>
		<%
	}
	%>
	</div>
	<div class="col-md-6">
	<p  class="text-center">
	<b>Total messages: </b> <%= request.getAttribute("totalEmails") %> - <b>Displaying page:</b> <%= request.getAttribute("currentPn") %> of <%= request.getAttribute("totalPages") %>
	</p> 
	</div>
	
	<div class="col-md-3">
	<span class="pull-right">
	<%
	if(request.getAttribute("hasnp") != null){
		%>
		<a href="<%=response.encodeURL("FrontController?operation=214&pn=" + request.getAttribute("hasnp") ) %>"><button class="btn btn-submit">Next</button></a>
		<%
	}
	%>
	</span>
	</div>
</div>
</div>

<table class="table table-condensed table-striped table-bordered">
<tr>
	<th>Subject</th>
	<th>Recipient</th>
	<th>Sender</th>
	<th>Queued Since</th>
	<th>Last Attempt</th>
	<th>Action</th>
</tr>
<%
List<QueuedMessageBean> beans = (List<QueuedMessageBean>) request.getAttribute("beans");


for(int i = 0; i < beans.size(); i++){
	QueuedMessageBean oneBean = beans.get(i);
	
	%>
	<tr>
		<td><%= oneBean.getSubject() %></td>
		<td><%= oneBean.getRecipient() %></td>
		<td><%= oneBean.getSender() %></td>
		<td><%= oneBean.getQueuedSinceAsString() %></td>
		<td><%= oneBean.getLastSentAsString() %></td>
		<td><a href="<%=response.encodeURL("FrontController?operation=214&fn=" + oneBean.getFileName()) %>" title="Send now"><i class="glyphicon glyphicon-repeat"></i></a> 
			<span class="pull-right">
				<a href="<%=response.encodeURL("FrontController?operation=214&rm=2&fn=" + oneBean.getFileName()) %>" title="Permanently remove from queue and generate an NDR"><i class="glyphicon glyphicon-new-window"></i></a>
		    	<a href="<%=response.encodeURL("FrontController?operation=214&rm=1&fn=" + oneBean.getFileName()) %>" title="Permanently remove from queue"><i class="glyphicon glyphicon-trash"></i></a> 
		    	
		    </span>
		 </td>
	</tr>
	<%
}
%>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
