
<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Home", "FrontController?operation=60", true));


//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "SmtpProxyConfig");
%>

<%@ include file="NewPageHeader.jsp" %>

<%
com.synametrics.xeams.config.AppConfig smConf = com.synametrics.xeams.config.AppConfig.getInstance();
String boundIPStr = com.synametrics.xeams.bean.ResourceBean.printAvailableIPOptions(smConf.getSmtpProxyBindIP());

%>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
SMTP Proxy Server Configuration

<h1>SMTP Proxy Server Configuration</h1>

<form action="<%= request.getAttribute("appPath") %>" method="post">

<br>
<ul class="nav nav-tabs" role="tablist" id="myTab">
  <li role="presentation" class="active"><a href="#proxy" aria-controls="proxy" role="tab" data-toggle="tab">SMTP Proxy Configuration</a></li>
  <li role="presentation" class="sr-only"><a href="#ldap" aria-controls="ldap" role="tab" data-toggle="tab">LDAP Active Directory</a></li>
</ul>

<div class="tab-content">
	<div role="tabpanel" class="tab-pane active fade in config-box" id="proxy">
		<div class="row">
			<div class="col-md-4">
				<br>
				<div class="alert alert-warning">
				<b>IMPORTANT</b> You must <a href="<%=response.encodeURL("FrontController?operation=187") %>">configure SSL</a> before using either SSL or STARTTLS.
				</div>
				
				<%
				if(request.getAttribute("tomcatNotSecured") != null){
					%>
					<div class="alert alert-danger">
					<b>WARNING: </b> STARTTLS extension will only work if you have configured the HTTP server to listen on a secure port. 
					<a href="<%=response.encodeURL("FrontController?operation=158") %>">Click here</a> to specify a secure web server port.
					</div>
					<%
				}
				%>
			</div>
			
			<div class="col-md-6">
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enableProxy')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Enable SMTP Proxy</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-Proxy" type="checkbox" name="proxySmtpEnabled" size="6" <%=smConf.isSmtpProxyServerEnabled()  ? " checked " : ""%>>
					<label for="chk-Proxy"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="enableProxy">
					Check this box to enable SMTP Proxy server.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('asynchProc')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Asynchronous Processing</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-Asynch" type="checkbox" name="proxySmtpAsync" size="6" <%=smConf.isSmtpProxyIsAsync()  ? " checked " : ""%>>
					<label for="chk-Asynch"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="asynchProc">
					If checked, incoming messages are processed asynchronously.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enableTLS')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Enable STARTTLS</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-tls" type="checkbox" name="startTLS4ProxyEnabled" size="6" <%=smConf.isStartTLS4ProxyEnabled()  ? " checked " : ""%>>
					<label for="chk-tls"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="enableTLS">
					If checked, STARTTLS will be enabled. Ensure you have a valid SSL certificate and the web interface of Xeams works on HTTPS before enabling this option.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enableAD')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Use Active Directory</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-ad" type="checkbox" name="enableAD" size="6" <%=smConf.isEnableAdWithSmtpProxy()  ? " checked " : ""%>>
					<label for="chk-ad"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="enableAD">
					If checked, Active Directory lookup will be performed to ensure email belongs to a valid recipient before in coming email is accepted
				</div>
				
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('greyList')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-7">Grey Listing</span>
				<a href="<%= response.encodeURL("FrontController?operation=208") %>" class="btn btn-warning form-control pull-left form-middle wth-1" title="Configure Grey Listing"><span class="glyphicon glyphicon-cog"></span></a>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-grey" type="checkbox" name="greyListing" size="6" <%=smConf.isGreyListingEnabledForProxy()  ? " checked " : ""%>>
					<label for="chk-grey"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="greyList">
					Grey Listing is enabled when checked. Check http://xeams.com/GreyListing.htm for details.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('proxyPort')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">SMTP Proxy Port</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="proxySmtpPort" size="6" value="<%=smConf.getProxySmtpPort()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="proxyPort">
					TCP/IP port on which the proxy server will listen for incoming client requests. The default port is 25.<br><br>Specify
					-1 to disable this server.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('proxyPort2')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Secondary SMTP Proxy Port</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="proxySmtpPort2" size="6" value="<%=smConf.getProxySmtpPort2()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="proxyPort2">
					Optionally, you can make the SMTP proxy server listen on a secondary port, which is useful if the primary
					port is blocked by a firewall or ISP for some of the users. Use a -1 to disable it.
					<br><br>
					Refer to <a href="http://www.xeams.com/SecondarySmtpPorts.htm">this
					knowledgebase article</a> for details.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('bindTo')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Bind To</span>
				<select class="form-control form-right pull-left wth-5" name="lstBindIP"><%=boundIPStr%></select>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="bindTo">
					Binding IP address for the server. If you choose "All unassigned", the server
					will listen on all IP address that are configured for this machine.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('actualServ')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Actual Email Server Host</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="targetSmtp" value="<%=smConf.getTargetSmtpHost()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="actualServ">
					IP Address/Hostname of the actual email server. This can be any SMTP server on the network. Every incoming email will be
					sent eventually to the server specified in this field.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('actualServPort')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Actual Email Server Port</span>
				<input class="form-control form-right pull-left wth-5 text-center" type="text" name="targetSmtpPort" size="6" value="<%=smConf.getTargetSmtpPort()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="actualServPort">
					TCP/IP port number on which the actual server is listening on. The default value is 25.
				</div>
			</div>
		</div>
	</div>
	
	<!-- ******** END PROXY CONFIG / START LDAP CONFIG ******** -->
	<div role="tabpanel" class="tab-pane fade in config-box" id="ldap">
		<div class="row">
			<div class="col-md-3"></div>
			<div class="col-md-6">
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enableLDAP')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Enable LDAP Lookup</span>
				<span class="form-control form-right pull-left wth-1"><input type="checkbox" name="ldapLookupRequired" value="1" <%=smConf.isLdapLookupRequired() ? " checked " : "" %>></span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="enableLDAP">
					Check this box to enable LDAP/Active Directory lookup. When this is enabled, the SMTP Proxy server
					will validate the email of an incoming email before accepting the message.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('exchangeFive')"><b>?</b></div>
				<span class="form-control form-text form-middle pull-left wth-8">Exchange Version is 5.5</span>
				<span class="form-control form-right pull-left wth-1"><input type="checkbox" name="isExchange55" value="1" <%=smConf.isIsExchange55() ? " checked " : "" %>></span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="exchangeFive">
					Check this box if your actual SMTP server is Microsoft Exchange 5.5
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('hostName')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Hostname</span>
				<input class="form-control form-right pull-left wth-5" type="text" name="ldapHost" value="<%=smConf.getLdapServerHost()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="hostName">
					Host name/IP address of the LDAP server. If you are connecting to a Microsoft Exchange server, this is the host name of
					your Domain Controller.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('rootName')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">LDAP Root Name</span>
				<input class="form-control form-right pull-left wth-5" type="text" name="ldapRootName" value="<%=smConf.getLdapRootName()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="rootName">
					Root name for your LDAP server. In case of Active Directory, this is the Active Directory Domain Name. For example, acme.com
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('username')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Username</span>
				<input class="form-control form-right pull-left wth-5" type="text" name="ldapUser" value="<%=smConf.getLdapUser()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="username">
					This refers to an LDAP user. For example, Administrator. This user must have permission to query LDAP/Active Directory server.
				</div>
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('ldapPwd')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Password</span>
				<input class="form-control form-right pull-left wth-5" type="password" name="ldapPwd" value="<%=smConf.getLdapPwd()%>">

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="ldapPwd">
					This refers to the password for the given LDAP user.
				</div>
			</div>
		</div>
	</div>
</div>

<div class="col-md-10"><br><button class="btn btn-sm btn-submit pull-right" type="submit">Save</button></div>
<input type="hidden" name="operation" value="147">
</form>

<script>
	$('#myTab a').click(function (e) {
	  e.preventDefault()
	  $(this).tab('show')
	});
</script>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
