<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<script type="text/javascript">
<!--
function SetAllCheckBoxes(FormName)
{
    //alert('Hello');
	if(!document.forms[FormName]){
        alert('Invalid form name specified');
		return;

	}
	var objCheckBoxes = document.forms[FormName].elements;

    for(var i = 0; i < objCheckBoxes.length; i++){
     	var oneElement = objCheckBoxes[i];
        if(oneElement.type == 'checkbox'){
         	oneElement.checked = !oneElement.checked;
        }
    }



}
// -->
</script>







<!-- 
NOTE: Use <%= request.getAttribute("appPath") %> for the action parameter in a form.
NOTE: Use <%= response.encodeURL("FrontController?operation=XXX") %> for URLs
 -->

<style>
	input[type=checkbox]{
		visibility:visible;
	}
</style> 
 
<h1>Creating users from Active Directory</h1>
<br>
<div class="well">
	Select the users you wish to create from the selected list. You will only see the users that currently do not already exist in the system.
</div>

<div class="row">
	<div class="col-md-4">
		<div class="well-info-wrap">
			<div class="well-info-header">IMPORTANT!</div>
			<div class="well-info-body">
				Every user has a parameter called <b>Server's Host Name</b>. The value for this parameter is retrieved from <b>Preferred URL</b>
				specified under <a href="<%=response.encodeURL("FrontController?operation=158") %>">Server Configuration</a>. If that value is blank, this value will read from the URL, which is 
				currently set to <code><%=request.isSecure() ? "https" : "http" %>://<%= request.getHeader("host") %></code>. 
			</div>
		</div>
		
		<br><br>
		<div class="well">
		
			<%
			List<String[]> availableOU = (List<String[]>) request.getAttribute("availableOU");
			if(availableOU != null && availableOU.size() > 0){			
			%>
				<form action="<%= request.getAttribute("appPath") %>" method="post" >
			
			
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1"><i class="glyphicon glyphicon-search"> </i></div>
					<span class="form-control form-middle form-text pull-left wth-4">Available OU</span>
					<select class="form-control form-right pull-left wth-5" name="ou">
						<option value=""  >All Available</option>
						<%
						for(String[] oneOU : availableOU){
							%>
							<option value="<%= oneOU[1] %>"><%= oneOU[0] %></option>	
							<%
						}
						%>
					</select>
				
			
				<br style="clear:both;">
				<input type="hidden" name="madpk" value="<%= request.getParameter("madpk") %>" />
				<input type="hidden" name="operation" value="203">
				<button class="btn btn-sm btn-submit pull-right" type="submit">Filter</button>	 <br><br>
				</form>
			<%
			}
			%>
		</div>
		
		<br><br>
		<div class="pull-right">
		<a href="javascript:SetAllCheckBoxes('mrForm');" title="Toggle Selected Items" class="btn btn-sm btn-menu">Toggle Selection</a>
		</div>
		
	</div>
	
	<br class="hide_lg">
	<div class="col-md-8">
		<form action="<%= request.getAttribute("appPath") %>" method="post" name="mrForm" >
		
		<div class="well-info-wrap">
		
			<%
			String filteredBy = "";
			
			if(request.getParameter("ou") != null){
				filteredBy = " - <b>" + request.getParameter("ou") + "</b>";
			}
			%>
		
			<div class="well-info-header">Available Users from AD <%= filteredBy %></div>
			<div class="well-info-body no-padding">
				<table class="table table-striped table-condensed">
				<%
				List<String> newUserId = (List<String>) request.getAttribute("newUserId");
				for(int i = 0; i < newUserId.size(); i++){
					%>
					<tr>
						<td><input class="pull-right" type="checkbox" name="chk_<%= newUserId.get(i)%>" checked="checked" value="1"></td>
						<td><%= newUserId.get(i)%></td>
					</tr>		
					<%
				}
				%>
				</table>
			</div>
		</div>
		<br style="clear:both;">
		
		<input type="hidden" name="madpk" value="<%= request.getParameter("madpk") %>" />
		<input type="hidden" name="operation" value="204" />
		<button class="btn btn-sm btn-submit pull-right" type="submit">Create</button>	 
		</form>
	</div>
</div>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
