
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<h1>Integration with ClamAV</h1>
<br>

<%
if(request.getAttribute("testResults") != null){
	%>
	
	<div class="alert alert-danger"  role="alert">
		<strong>Error! </strong> <%=request.getAttribute("testResults") %>
	</div>
	
	
	
	
	<%
}else if(request.getAttribute("testResultsPass") != null){
	%>
	<div class="alert alert-success ">
		<strong>Success!</strong> Connection to ClamAV was successful. It also detected a test virus.
	</div>
	
	<%
} else{
%>
	<div class="well">Clam AV is an open source, freely available Anti-Virus software that you can integrate with <%= productName %> to check for viruses. 
		Refer to <a href="http://www.xeams.com/AntiVirus.htm">this link</a> for more details.
	</div>
	<%
	
}
%>



<form action="<%= request.getAttribute("appPath") %>" method="post">

<!-- ******* Create Text Input Field ******* -->
<br style="clear:both;">
<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('clamAvHostInfo')"><b>?</b></div>
<span class="form-control form-middle form-text pull-left wth-4">Host name/IP address:</span>
<input class="form-control form-right pull-left wth-5" value="<%= request.getAttribute("clamAvHost") %>" name="clamAvHost" >

<br style="clear:both;">
<div class="alert alert-info more_info" id="clamAvHostInfo">
	Host name or IP address where ClamAV daemon is running.
</div>


<!-- ******* Create Text Input Field ******* -->
<br style="clear:both;">
<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('clamAvPortInfo')"><b>?</b></div>
<span class="form-control form-middle form-text pull-left wth-4">TCP/IP port number:</span>
<input class="form-control form-right pull-left wth-5" value="<%= request.getAttribute("clamAvPort") %>" name="clamAvPort" >

<br style="clear:both;">
<div class="alert alert-info more_info" id="clamAvPortInfo">
	Host name or IP address where ClamAV daemon is running.
</div>

<br style="clear:both;"><br>
<button class="btn btn-sm btn-submit pull-left" type="submit" name="save"><span class="glyphicon glyphicon-floppy-disk"></span> Save</button>
<button class="btn btn-sm btn-submit pull-right" type="submit" name="test"><span class="glyphicon glyphicon-flash"></span> Test</button>
<input type="hidden" name="operation" value="207">
</form>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>